<?php
/* Copyright (C) 2008 Zachary Lund and Ryan Ozechowski */

require_once(dirname(__FILE__) . "/config.php");
require_once(dirname(__FILE__) . "/include/convert.php");
require_once(dirname(__FILE__) . "/include/util.php");
require_once(dirname(__FILE__) . "/include/ajax.php");
require_once(dirname(__FILE__) . "/include/main.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>

	<title>iTunes</title>
	<link rel="stylesheet" type="text/css" href="css/style.css" />
	<script type="text/javascript" src="js/swfobject.js"></script>
	<script type="text/javascript" src="js/ajax.js"></script>
	<script type="text/javascript" src="js/general.js"></script>
</head>
<body>

	<div id="header_container">
		
		<div id="prev" onclick="PlayerPrevious()"></div>
		<div id="play" onclick="PlayerPlayPause()"></div>
		<div id="next" onclick="PlayerNext()"></div>
		<div id="player_container" style="text-align:center">
		 	<script type="text/javascript">initPlayer('400','20')</script>			
			<div id="songinfo_container"></div>
		</div>
		<input type="text" id="search" onkeyup="Search()" />
	</div>
	
	<div id="sidebar_container">
		<div id="playlists"><?php echo $playlists; ?></div>
	</div>
	
	<div id="song_container">
		<div id="songlist">
		
			<table cellpadding='0' cellspacing='0' id='songTable'>
				<tbody>
					<tr class='header'>
						<td>&nbsp;</td>
						<td>Name</td>
						<td>Time</td>
						<td>Artist</td>
						<td>Album</td>
						<td>Genre</td>
					</tr>
				</tbody>
			</table>
		
		</div>
	</div>

	<div id="footer_container">
		<div id="shuffle" onclick="ToggleShuffle()"></div>
		<div id="repeat" onclick="ToggleRepeat()"></div>
	</div>

</body>
</html>
