/* Copyright (C) 2008 Zachary Lund and Ryan Ozechowski */

function GetXmlHttpObject()
{
	var xmlHttp = null;
	
	try
	{
		// Firefox, Opera 8.0+, Safari
		xmlHttp = new XMLHttpRequest();
	}
	catch (e)
	{
		// Internet Explorer
		try
		{
			xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e)
		{
			xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
	}
	return xmlHttp;
}

var xmlHttp
var selectedPlaylist = ""

function getSonglist(playlist, search)
{
	if (playlist.length > 0)
	{
		selectedPlaylist = playlist
	}
	if (selectedPlaylist.length==0)
	{
		return
	}
	
	xmlHttp = GetXmlHttpObject()
	if (xmlHttp == null)
	{
		alert ("Browser does not support HTTP Request")
		return
	}
	
	var url = "index.php?ajax=" + Math.random() + "&search=" + search;
	if (shuffle)
		url = url + "&random=" + currentTrackID;
	
	url = url + "&playlist=" + selectedPlaylist;
	
	xmlHttp.onreadystatechange=stateChanged
	xmlHttp.open("GET",url,true)
	xmlHttp.send(null)
} 

var trackIDs;

function stateChanged() 
{ 
	if (xmlHttp.readyState==4 || xmlHttp.readyState=="complete")
	{
		//document.getElementById("songlist").innerHTML = xmlHttp.responseText

		var xmldoc = xmlHttp.responseXML.documentElement;
		
		var playlist_html = xmldoc.getElementsByTagName("playlisthtml"); //.item(0);
		
		//alert(playlist_html.item(0).childNodes[0].nodeValue);
		//document.getElementById("songlist").innerHTML = playlist_html.item(0).childNodes[0].nodeValue;
		
		var tracks = xmldoc.getElementsByTagName("tracks");
		
		trackInfo = new Array(tracks.item(0).childNodes.length);
		
		for (var i = 0; i < tracks.item(0).childNodes.length; i++)
		{
			trackInfo[i] = new Array(6);
			
			var node = tracks.item(0).childNodes.item(i);

			trackInfo[i][0] = node.childNodes.item(0).childNodes[0].nodeValue;
			if (node.childNodes.item(1).childNodes[0] != null)
				trackInfo[i][1] = node.childNodes.item(1).childNodes[0].nodeValue;
			else
				trackInfo[i][1] = "";
			if (node.childNodes.item(2).childNodes[0] != null)
				trackInfo[i][2] = node.childNodes.item(2).childNodes[0].nodeValue;
			else
				trackInfo[i][2] = "";
			if (node.childNodes.item(3).childNodes[0] != null)
				trackInfo[i][3] = node.childNodes.item(3).childNodes[0].nodeValue;
			else
				trackInfo[i][3] = "";
			if (node.childNodes.item(4).childNodes[0] != null)
				trackInfo[i][4] = node.childNodes.item(4).childNodes[0].nodeValue;
			else
				trackInfo[i][4] = "";
			if (node.childNodes.item(5).childNodes[0] != null)
				trackInfo[i][5] = node.childNodes.item(5).childNodes[0].nodeValue;
			else
				trackInfo[i][5] = "";
		}
		
		var tbody = document.getElementById('songTable').getElementsByTagName("tbody")[0];
		
		lowerBound = 0;
		if(navigator.userAgent.indexOf("Firefox") != -1)
			lowerBound = 1;
		
		for (var i = tbody.childNodes.length - 1; i > lowerBound; i--)
		{
			tbody.removeChild(tbody.childNodes[i]);
		}
		
		if (currentPlaylist == selectedPlaylist)
		{
			var tempCurrentTrackID = currentTrackID;
			
			var length = getLength('jstest');
			for (var i=length-1; i >= 0; i--)
			{
				var data = itemData('jstest', i);
				if (data.indexOf(currentTrackID) < 0)
					removeItem('jstest',i);
			}
			
			for (var i=0; i < trackInfo.length; i++)
			{
				if (trackInfo[i][0] != tempCurrentTrackID)
				{
					var path = "file.php?id=" + trackInfo[i][0] + "&junk=file.mp3";
					addItem('jstest',{file:path,title:trackInfo[i][0]},i);
				}
			}
		}
		
		var alt = true;
		
		for (var i = 0; i < trackInfo.length; i++)
		{
			var row = document.createElement("tr")
			row.id = trackInfo[i][0]
			row.onclick = function(){PlaySong(this.id)}
			
			if (currentPlaylist == selectedPlaylist && trackInfo[i][0] == currentTrackID)
				row.className = "selectedRow";
			else if (alt)
				row.className = "altRow";
			else
				row.className = "normalRow";
			alt = !alt;
			
			var td1 = document.createElement("td")
			td1.appendChild(document.createTextNode(" "))
					
			var tdName = document.createElement("td")
			tdName.appendChild(document.createTextNode(trackInfo[i][1]))
			
			//tdName.appendChild(document.createTextNode("<a href='javascript:PlaySong(" + trackInfo[i][0] + ")'>" + trackInfo[i][1] + "</a>"))
			
			var tdTime = document.createElement("td")
			tdTime.appendChild (document.createTextNode(trackInfo[i][5]))
			
			var tdArtist = document.createElement("td")
			tdArtist.appendChild (document.createTextNode(trackInfo[i][2]))
			
			var tdAlbum = document.createElement("td")
			tdAlbum.appendChild (document.createTextNode(trackInfo[i][3]))
			
			var tdGenre = document.createElement("td")
			tdGenre.appendChild (document.createTextNode(trackInfo[i][4]))
			
			row.appendChild(td1);
			row.appendChild(tdName);
			row.appendChild(tdTime);
			row.appendChild(tdArtist);
			row.appendChild(tdAlbum);
			row.appendChild(tdGenre);
			
			tbody.appendChild(row);
		}
	}
}
